{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.hive.services.kdeconnect;
in {
  options.hive.services.kdeconnect = {
    enable = lib.mkEnableOption "KDE Connect system service (plasma6)";
  };

  config = lib.mkIf cfg.enable {
    programs.kdeconnect.enable = true;
    programs.kdeconnect.package = lib.mkForce pkgs.kdePackages.kdeconnect-kde;
  };
}
